# $Revision: 1.18 $, $Date: 2004/05/07 01:12:28 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Tie
%define		pnam	Cache-LRU
Summary:	Tie::Cache-LRU Perl module - a Least-Recently Used cache
Summary(pl):	Modu Perla Tie::Cache-LRU - buforowanie "ostatnio uywanych"
Name:		perl-Tie-Cache-LRU
Version:	0.21
Release:	4
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	114890d5a3c1ecf6f51d743086c5372f
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-Class-Virtual
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tie::Cache-LRU - This is an implementation of a least-recently used
(LRU) cache keeping the cache in RAM.

A LRU cache is similar to the kind of cache used by a web browser. New
items are placed into the top of the cache. When the cache grows past
its size limit, it throws away items off the bottom. The trick is that
whenever an item is -accessed-, it is pulled back to the top. The end
result of all this is that items which are frequently accessed tend to
stay in the cache.

%description -l pl
Tie::Cache-LRU - jest to implementacja buforowania "ostatnio
uywanych" (least-recently used - LRU), buforujca w pamici RAM.

Cache LRU jest podobny do uywanego przez przegldarki WWW. Nowe
elementy s umieszczane na szczycie cache'u. Gdy graniczny rozmiar
cache zostanie przekroczony, wyrzucane s z niego elementy znajdujce
si na dole. Sztuczka polega na tym, e gdy wystpuje --dostp-- do
elementu, jest on przenoszony na szczyt. W wyniku tego wszystkie
elementy, do ktrych dostp nastpuje czsto, maj tendencj do
pozostawania w cache'u.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorlib}/Tie/Cache
%{perl_vendorlib}/Tie/Cache/LRU
%{perl_vendorlib}/Tie/Cache/LRU.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Tie-Cache-LRU.spec,v $
Revision 1.18  2004/05/07 01:12:28  ankry
- rel. 4

Revision 1.17  2004/05/06 18:21:20  ankry
- fixed perl-devel BR

Revision 1.16  2004/05/03 21:33:34  ankry
- tests added, licence fix, cosmetics

Revision 1.15  2004/04/15 21:24:54  ankry
- cosmetics

Revision 1.14  2004/04/15 21:14:35  ankry
- killed non-informative summaries

Revision 1.13  2004/02/18 16:27:02  qboosh
- s/no/nb/ in Summary langs

Revision 1.12  2003/09/09 10:24:52  ankry
- spaces -> tab

Revision 1.11  2003/08/18 08:09:22  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/28 13:01:07  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:25:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:37  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 21:35:09  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:42:34  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:38:57  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/08/01 12:43:54  ankry
- added %%{perl_sitelib}/Tie/Cache dir
- adapterized
- release 2

Revision 1.3  2002/07/31 11:31:11  ankry
- fixed wrong BR

Revision 1.2  2002/07/30 14:10:42  ankry
- missing BR (to resolve deps)

Revision 1.1  2002/07/30 13:52:48  ankry
- new module
